Package be.fgov.ehealth.idsupport.core.v2

# Class IdentificationData

java.lang.Object
be.fgov.ehealth.idsupport.core.v2.IdentificationData

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:38+02:00", comments="JAXB RI v4.0.5") public class IdentificationData extends Object implements Serializable
List of identifiers: either SSIN of the person (National register, Register bis, num TER) , support Card number or Barcoded.

Java class for IdentificationDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IdentificationDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:be:fgov:ehealth:commons:core:v2}IdType" maxOccurs="2"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentificationData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Id>`
  `getIds()`
  Gets the value of the ids property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdentificationData

    public IdentificationData()

- ## Method Details

  - ### getIds

    public List<Id> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `Id`

    Returns:
      The value of the ids property.